Getting started with LSX Blocks

Are you ready to start building with LSX Blocks? Great! This document will help you get started.

  • What do I need in order to run LSX Blocks?
  • How do I install LSX Blocks
  • I need more help! What should I do?

What do I need in order to run LSX Blocks?

Here are the system requirements for LSX Blocks:

  • A web host that meets the WordPress host requirements.
  • The latest version of WordPress. If your version of WordPress is out of date, you’ll see a prompt to automatically upgrade with a single click, or can upgrade manually if you really want to.
  • A publicly accessible WordPress site.
  • PHP version 7.0 or above.
  • The LSX theme activated and installed on your site.

How do I install LSX Blocks?

  • Login to the backend of your WordPress website.
  • Navigate to the “Plugins” item in your dashboard.
  • Select “Add New”.
  • Search for “LSX Blocks” in the plugin search bar.
  • Once you see the plugin, select “Install”.
  • Activate the plugin.

LSX Blocks require no additional setup, adding them to your pages and posts works exactly like any of the standard Gutenberg blocks in WordPress

Using the LSX Blocks

We have provided a step-by-step walkthrough for configuring each of the LSX Blocks.

Need some help on one of the blocks? Find the block documentation link below and follow the guide!

  1. LSX Button Block
  2. LSX Card Block
  3. LSX CTA Block
  4. LSX Container Block
  5. LSX Divider Block
  6. LSX Hero Image Block
  7. LSX Post Carousel Block
  8. LSX Post Grid Block
  9. LSX Author Profile Block
  10. LSX Accordion Block
  11. LSX Drop Cap Block
  12. LSX Inline Notice Block

LSX Extension Blocks

Are you making use of one of our LSX Extensions? We have developed a block for the following extensions:

  1. LSX Projects Block 
  2. LSX Team Block 
  3. LSX Testimonial Block